﻿using System;
using System.Windows.Forms;

namespace RCM {
    public partial class ConfigFormTab : UserControl {
        private IConfigSection _configSection;

        public ConfigFormTab(IConfigSection configSection) {
            InitializeComponent();
            Dock = DockStyle.Fill;
            _configSection = configSection;
            panel.Controls.Add(configSection.GetControl());
        }

        private void ButtonSave_Click(object sender, EventArgs e) {
            _configSection.UpdateFromControl();
            Config.Save();
            MessageBox.Show(string.Format("{0} changes saved", _configSection.GetType().GetDisplayName()), "Info", MessageBoxButtons.OK, MessageBoxIcon.Information);
        }
    }
}
