﻿using System;
using System.Windows.Forms;

namespace RCM {
    public class GroupPath {
        public Guid Id { get; private set; }
        public TreeNode Node { get; private set; }
        public string FullPath { get; private set; }

        public GroupPath(TreeNode node) {
            Node = node;
            if (node == null) {
                Id = Guid.Empty;
                FullPath = "Root";
            } else {
                Id = ((IRecord)node.Tag).Id;
                FullPath = node.FullPath;
            }
        }

        public override string ToString() => FullPath;
    }
}
