﻿using System;
using System.Windows.Forms;

namespace RCM {
    [DisplayName("RDP")]
    [Serializable]
    public class RDPConfig : IConfigSection {
        public string LinuxRDPCommand { get; set; }
        [NonSerialized]
        private RDPConfigControl _control;

        public UserControl GetControl() {
            if (_control == null || _control.IsDisposed) {
                _control = new RDPConfigControl(this);
            }
            return _control;
        }

        public void UpdateFromControl() {
            LinuxRDPCommand = _control.textBoxLinuxRDPCommand.Text;
        }
    }
}
